import { DomainChart } from "./DomainChart";
import { IEnumerable$1, Type } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { VerticalAlignment } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { YAxisLabelLocation } from "./YAxisLabelLocation";
import { XAxisLabelLocation } from "./XAxisLabelLocation";
import { Axis } from "./Axis";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { DataSeries } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
/**
 * @hidden
 */
export declare abstract class XYChart extends DomainChart {
    static $t: Type;
    provideContainer(a: any): void;
    protected sr(): void;
    protected th(a: string, b: any, c: any): void;
    private wo;
    get wq(): (item: any) => string;
    set wq(a: (item: any) => string);
    private wp;
    get wr(): (item: any) => string;
    set wr(a: (item: any) => string);
    private w5;
    get x7(): number;
    set x7(a: number);
    private w7;
    get x9(): number;
    set x9(a: number);
    private w6;
    get x8(): number;
    set x8(a: number);
    private w4;
    get x6(): number;
    set x6(a: number);
    private xm;
    get yo(): number;
    set yo(a: number);
    private xo;
    get yq(): number;
    set yq(a: number);
    private xn;
    get yp(): number;
    set yp(a: number);
    private xl;
    get yn(): number;
    set yn(a: number);
    private acf;
    get acv(): Brush;
    set acv(a: Brush);
    private acm;
    get ac2(): Brush;
    set ac2(a: Brush);
    private acd;
    get act(): Brush;
    set act(a: Brush);
    private ace;
    get acu(): Brush;
    set acu(a: Brush);
    private xg;
    get yi(): number;
    set yi(a: number);
    private xx;
    get yz(): number;
    set yz(a: number);
    private xf;
    get yh(): number;
    set yh(a: number);
    private xw;
    get yy(): number;
    set yy(a: number);
    private xi;
    get yk(): number;
    set yk(a: number);
    private xz;
    get y1(): number;
    set y1(a: number);
    private xh;
    get yj(): number;
    set yj(a: number);
    private xy;
    get y0(): number;
    set y0(a: number);
    private xe;
    get yg(): number;
    set yg(a: number);
    private xv;
    get yx(): number;
    set yx(a: number);
    private acl;
    get ac1(): Brush;
    set ac1(a: Brush);
    private acs;
    get ac8(): Brush;
    set ac8(a: Brush);
    protected ti(a: string, b: any, c: any): void;
    private y7;
    get zv(): string;
    set zv(a: string);
    private zb;
    get aa0(): string;
    set aa0(a: string);
    private y9;
    get aaj(): string;
    set aaj(a: string);
    private zd;
    get abo(): string;
    set abo(a: string);
    private abu;
    private abw;
    protected tz(a: DataSeries): void;
    protected abstract wm(): Axis;
    protected abstract wn(): Axis;
    protected abx(a: (arg1: Axis) => void): void;
    protected aby(a: (arg1: Axis) => void, b: string): void;
    protected ab3(a: (arg1: Axis) => void, b: boolean): void;
    protected ab2(a: (arg1: Axis) => void): void;
    protected sb(a: (arg1: Axis) => void, b: boolean): void;
    protected ab1(a: (arg1: TitleSettings) => void): void;
    protected ab6(a: (arg1: TitleSettings) => void): void;
    protected ab4(a: (arg1: AxisLabelSettings) => void): void;
    protected abz(a: (arg1: AxisLabelSettings) => void): void;
    x0(a: number): number;
    x2(a: number): number;
    x1(a: number): number;
    x3(a: number): number;
    protected tw(a: XamDataChart): void;
    static zg(a: CategoryAxisBase, b: IEnumerable$1<DataSeries>): string;
    protected sm(a: XamDataChart): void;
    protected abt(a: Axis): void;
    protected abv(a: Axis): void;
    protected sj(): void;
    protected abr(a: Axis, b: (arg1: AxisLabelSettings) => void): void;
    protected abs(a: Axis, b: (arg1: TitleSettings) => void): void;
    protected te(a: string, b: any, c: any): void;
    ab5(): void;
    ab0(): void;
    wt(a: YAxisLabelLocation): AxisLabelsLocation;
    ws(a: XAxisLabelLocation): AxisLabelsLocation;
    private y2;
    get y4(): any;
    set y4(a: any);
    private y3;
    get y5(): any;
    set y5(a: any);
    private acg;
    get acw(): Brush;
    set acw(a: Brush);
    private acn;
    get ac3(): Brush;
    set ac3(a: Brush);
    private w8;
    get ya(): number;
    set ya(a: number);
    private xp;
    get yr(): number;
    set yr(a: number);
    private w9;
    get yb(): number;
    set yb(a: number);
    private xq;
    get ys(): number;
    set ys(a: number);
    private aci;
    get acy(): Brush;
    set acy(a: Brush);
    private acp;
    get ac5(): Brush;
    set ac5(a: Brush);
    private acj;
    get acz(): Brush;
    set acz(a: Brush);
    private acq;
    get ac6(): Brush;
    set ac6(a: Brush);
    private xa;
    get yc(): number;
    set yc(a: number);
    private xr;
    get yt(): number;
    set yt(a: number);
    private xb;
    get yd(): number;
    set yd(a: number);
    private xs;
    get yu(): number;
    set yu(a: number);
    private ack;
    get ac0(): Brush;
    set ac0(a: Brush);
    private acr;
    get ac7(): Brush;
    set ac7(a: Brush);
    private xc;
    get ye(): number;
    set ye(a: number);
    private xt;
    get yv(): number;
    set yv(a: number);
    private y8;
    get aaa(): string;
    set aaa(a: string);
    private zc;
    get abf(): string;
    set abf(a: string);
    private ach;
    get acx(): Brush;
    set acx(a: Brush);
    private aco;
    get ac4(): Brush;
    set ac4(a: Brush);
    private w3;
    get x5(): number;
    set x5(a: number);
    private xk;
    get ym(): number;
    set ym(a: number);
    private w2;
    get x4(): number;
    set x4(a: number);
    private xj;
    get yl(): number;
    set yl(a: number);
    private xd;
    get yf(): number;
    set yf(a: number);
    private xu;
    get yw(): number;
    set yw(a: number);
    private wy;
    get w0(): boolean;
    set w0(a: boolean);
    private wz;
    get w1(): boolean;
    set w1(a: boolean);
    private ab8;
    get acb(): HorizontalAlignment;
    set acb(a: HorizontalAlignment);
    private adb;
    get ade(): VerticalAlignment;
    set ade(a: VerticalAlignment);
    private ab7;
    get aca(): HorizontalAlignment;
    set aca(a: HorizontalAlignment);
    private ab9;
    protected get_acc(): HorizontalAlignment;
    protected set_acc(a: HorizontalAlignment): void;
    get acc(): HorizontalAlignment;
    set acc(a: HorizontalAlignment);
    private ac9;
    get adc(): VerticalAlignment;
    set adc(a: VerticalAlignment);
    private ada;
    get add(): VerticalAlignment;
    set add(a: VerticalAlignment);
    private adf;
    get adh(): Visibility;
    set adh(a: Visibility);
    private adg;
    get adi(): Visibility;
    set adi(a: Visibility);
    private ww;
    protected get_wx(): YAxisLabelLocation;
    protected set_wx(a: YAxisLabelLocation): void;
    get wx(): YAxisLabelLocation;
    set wx(a: YAxisLabelLocation);
    private wu;
    protected get_wv(): XAxisLabelLocation;
    protected set_wv(a: XAxisLabelLocation): void;
    get wv(): XAxisLabelLocation;
    set wv(a: XAxisLabelLocation);
    private y6;
    get zm(): string;
    set zm(a: string);
    private wi;
    get wk(): any[];
    set wk(a: any[]);
    private za;
    get aar(): string;
    set aar(a: string);
    private wj;
    get wl(): any[];
    set wl(a: any[]);
}
